
Katello - Bug #5884

Registration from subscription-manager is broken

05/22/2014 06:01 PM - Michael Stead

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After attempting to register via subscription-manager, the following stack trace is shown.

[ERROR 2014-05-22 14:41:18 cp_proxy] NoMethodError: undefined method `organizations' for nil:NilCl

ass

 | /home/mstead/development/sandbox/katello/app/controllers/katello/api/v1/candlepin_proxies_contr

oller.rb:129:in `list_owners'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/impli

cit_render.rb:4:in `send_action'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/abstract_controller/base.rb:1

67:in `process_action'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/rende

ring.rb:10:in `process_action'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/abstract_controller/callbacks

.rb:18:in `block in process_action'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:560:in `block (3 levels) in _run__3924748698359098668__process_action__3112490548312197792__call

backs'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:215:in `block in _conditional_callback_around_3936'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:326:in `around'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:310:in `_callback_around_1752'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:214:in `_conditional_callback_around_3936'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:471:in `block (2 levels) in _run__3924748698359098668__process_action__3112490548312197792__call

backs'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:215:in `block in _conditional_callback_around_3935'

 | /home/mstead/development/sandbox/foreman/app/models/concerns/foreman/thread_session.rb:33:in `c

lear_thread'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:214:in `_conditional_callback_around_3935'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:415:in `block in _run__3924748698359098668__process_action__3112490548312197792__callbacks'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:215:in `block in _conditional_callback_around_3934'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:326:in `around'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:310:in `_callback_around_13'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:214:in `_conditional_callback_around_3934'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:414:in `_run__3924748698359098668__process_action__3112490548312197792__callbacks'
 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:405:in `__run_callback'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:385:in `_run_process_action_callbacks'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:81:in `run_callbacks'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/abstract_controller/callbacks

.rb:17:in `process_action'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/rescu

e.rb:29:in `process_action'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/instr

umentation.rb:30:in `block in process_action'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/notificatio

ns.rb:123:in `block in instrument'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/notificatio

ns/instrumenter.rb:20:in `instrument'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/notificatio

ns.rb:123:in `instrument'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/instr

umentation.rb:29:in `process_action'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/param

s_wrapper.rb:207:in `process_action'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-3.2.18/lib/active_record/railties/cont

roller_runtime.rb:18:in `process_action'

 | /home/mstead/development/sandbox/katello/app/controllers/katello/api/api_controller.rb:101:in `

process_action'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/abstract_controller/base.rb:1

21:in `process'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/abstract_controller/rendering

.rb:45:in `process'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal.rb:20

3:in `dispatch'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal/rack_

delegation.rb:14:in `dispatch'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_controller/metal.rb:24

6:in `block in action'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/routing/route

_set.rb:73:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/routing/route

_set.rb:73:in `dispatch'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/routing/route

_set.rb:36:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/routing/mappe

r.rb:43:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in

 call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/routing/route

_set.rb:608:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/railties-3.2.18/lib/rails/engine.rb:484:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/railties-3.2.18/lib/rails/railtie/configurable.rb:3

0:in `method_missing'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in

 call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/routing/route

_set.rb:608:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/st

atic.rb:63:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/apipie-rails-0.1.3/lib/apipie/static_dispatcher.rb:

65:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-openid-1.4.2/lib/rack/openid.rb:98:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/apipie-rails-0.1.3/lib/apipie/middleware/checksum_i

n_headers.rb:27:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/be
st_standards_support.rb:17:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/etag.rb:23:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/conditionalget.rb:25:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/he

ad.rb:14:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/pa

rams_parser.rb:21:in `call'

 | /home/mstead/development/sandbox/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/fl

ash.rb:242:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:210:in `

context'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:205:in `

call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/co

okies.rb:341:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-3.2.18/lib/active_record/query_cache.r

b:64:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-3.2.18/lib/active_record/connection_ad

apters/abstract/connection_pool.rb:479:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/ca

llbacks.rb:28:in `block in call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:405:in `_run__2166098521833199761__call__1173182659346841773__callbacks'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:405:in `__run_callback'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:385:in `_run_call_callbacks'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/callbacks.r

b:81:in `run_callbacks'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/ca

llbacks.rb:27:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/re

loader.rb:65:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/re

mote_ip.rb:31:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/de

bug_exceptions.rb:16:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/sh

ow_exceptions.rb:56:in `call'

 | /home/mstead/development/sandbox/katello/lib/katello/middleware/silenced_logger.rb:30:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/re

quest_id.rb:22:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/methodoverride.rb:21:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/runtime.rb:17:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-3.2.18/lib/active_support/cache/strat

egy/local_cache.rb:72:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/lock.rb:15:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-3.2.18/lib/action_dispatch/middleware/st

atic.rb:63:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/railties-3.2.18/lib/rails/engine.rb:484:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/railties-3.2.18/lib/rails/application.rb:231:in `ca

ll'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/railties-3.2.18/lib/rails/railtie/configurable.rb:3

0:in `method_missing'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/builder.rb:134:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/urlmap.rb:64:in `block in call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `each'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/content_length.rb:14:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/railties-3.2.18/lib/rails/rack/log_tailer.rb:17:in 

`call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.4.5/lib/rack/handler/webrick.rb:59:in `servi

ce'

 | /home/mstead/.rvm/rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/webrick/httpserver.rb:138:in `service'

 | /home/mstead/.rvm/rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/webrick/httpserver.rb:94:in `run'

 | /home/mstead/.rvm/rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/webrick/server.rb:191:in `block in star
t_thread'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323

:in `call'

 | /home/mstead/.rvm/gems/ruby-1.9.3-p448/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323

:in `block in create_with_logging_context'

Completed 500 Internal Server Error in 13.4ms (Views: 0.3ms | ActiveRecord: 0.0ms)

With body: {"displayMessage":"undefined method `organizations' for nil:NilClass","errors":["undefi

ned method `organizations' for nil:NilClass"]}

Associated revisions

Revision a3bb5a8c - 05/23/2014 02:31 PM - Eric Helms

Fixes #5884: Fix typo for list_owners authenication to be properly handled.

Revision ade4cee3 - 05/23/2014 06:15 PM - Eric Helms

Merge pull request #4140 from ehelms/fixes-5884

Fixes #5884: Fix typo for list_owners authenication to be properly handl...

History

#1 - 05/22/2014 06:02 PM - Michael Stead

Ugh... Sorry about the formatting of the stack trace. Next time I'll attach a file. :/

#2 - 05/22/2014 06:05 PM - Eric Helms

- Project changed from Foreman to Katello

- Category deleted (47)

- Triaged set to No

#3 - 05/23/2014 07:27 AM - Dominic Cleal

- Description updated

#4 - 05/23/2014 06:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:a3bb5a8c5a5a9bf17d35e4803a978cf8ee159247.

#5 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#6 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
